Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003544Dwarf FortressAdventure Mode -- Sleeppublic2010-11-11 20:052015-01-11 08:06
ReporterKhym Chanur 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86 (AMD Athlon 7550 Dual-Core)OSMandriva OneOS Version2010 (2.6.31.5)
Product Version0.31.17 
Target VersionFixed in Version0.34.05 
Summary0003544: Sleep on top of castle tower, wake up outside of castle
DescriptionIf you go to sleep on the very top of one of a castle's towers, when you wake up you'll be outside of the castle grounds. Might be related to 0003543
TagsNo tags attached.
Attached Files

- Relationships
related to 0002264resolvedToady One Adv. Mode travel (near oceans) teleports player underground and turns them into an underground creature 
related to 0008480new Companions teleport after moving 
has duplicate 0003714resolvedFootkerchief Sleep teleportation 
related to 0005047resolvedToady One Sleep in building/house; wake up outside or on roof 

-  Notes
(0013700)
BurnedToast (reporter)
2010-11-11 21:40

This happened to me in one of those houses full of people near a farm. I asked (and received) permission to sleep there, picked sleep till dawn, and randomly woke up in the middle of the field.

It was raining when I woke up (pretty sure it was not when I went to sleep), I don't know if that makes any difference or not.
(0013703)
Khym Chanur (reporter)
2010-11-11 23:27

Yeah, this happened to me inside of a castle's keep after I got permission to sleep, so the summary is too restrictive. I also woke up stunned, like in bug 0003543
(0013734)
Tarran (reporter)
2010-11-12 18:16
edited on: 2010-11-12 18:17

Something similar happened to me too; I slept in a house till dawn after getting permission and woke up way north of the house. This is the second time I got teleported out of a house. It doesn't happen all the time, just once an a while

(0013744)
Knigel (reporter)
2010-11-12 23:28

My adventurer's party likewise gets teleported out of some houses and most of keeps.

It seems like they keep getting booted to the edge of the map square they came in on.
(0019717)
Thomar (reporter)
2012-02-15 16:41

I slept outside the front gate of the castle. Woke up in the courtyard.
(0020425)
Khym Chanur (reporter)
2012-02-21 17:42

This happened to me while waiting (not sleeping) while in the courtyard of a castle; teleported me to outside the castle.
(0021095)
Toady One (administrator)
2012-03-05 01:31

This'll be fixed for 0.34.05, but if you have a save and the first thing you do is sleep, it might still have some bad info. Just move a bit and it will hopefully clear up for all time.

- Issue History
Date Modified Username Field Change
2010-11-11 20:05 Khym Chanur New Issue
2010-11-11 21:40 BurnedToast Note Added: 0013700
2010-11-11 23:27 Khym Chanur Note Added: 0013703
2010-11-12 18:16 Tarran Note Added: 0013734
2010-11-12 18:17 Tarran Note Edited: 0013734 View Revisions
2010-11-12 23:28 Knigel Note Added: 0013744
2010-11-14 14:31 Tarran Issue Monitored: Tarran
2010-11-15 14:04 Footkerchief Relationship added parent of 0003610
2010-11-22 11:17 Footkerchief Relationship added has duplicate 0003714
2010-11-22 13:01 Footkerchief Relationship added related to 0003715
2011-03-06 15:01 Footkerchief Relationship added related to 0002264
2012-02-14 03:00 Knight Otu Relationship added related to 0005047
2012-02-15 16:41 Thomar Note Added: 0019717
2012-02-21 17:42 Khym Chanur Note Added: 0020425
2012-02-27 10:42 Footkerchief Relationship added parent of 0005480
2012-03-05 01:31 Toady One Relationship replaced related to 0003610
2012-03-05 01:31 Toady One Relationship replaced related to 0005480
2012-03-05 01:31 Toady One Note Added: 0021095
2012-03-05 01:31 Toady One Status new => resolved
2012-03-05 01:31 Toady One Fixed in Version => Next Version
2012-03-05 01:31 Toady One Resolution open => fixed
2012-03-05 01:31 Toady One Assigned To => Toady One
2015-01-11 08:06 Footkerchief Relationship added related to 0008480
2015-01-11 08:06 Footkerchief Relationship deleted related to 0003610
2015-01-11 08:06 Footkerchief Relationship deleted related to 0005480
2015-01-11 08:06 Footkerchief Relationship deleted related to 0003715


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker